<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.bd</groupId>
    <artifactId>bd</artifactId>
    <version>1.1.0-SNAPSHOT</version>

    <name>bd</name>
    <description>新零售微服务系统</description>

    <packaging>pom</packaging>

    <properties>
        <bd.version>1.1.0-SNAPSHOT</bd.version>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <java.version>1.8</java.version>
        <spring-boot.version>2.6.8</spring-boot.version>
        <spring-cloud.version>2021.0.1</spring-cloud.version>
        <spring-cloud-alibaba.version>2021.0.1.0</spring-cloud-alibaba.version>
        <alibaba.nacos.version>2.0.4</alibaba.nacos.version>
        <spring-boot-admin.version>2.6.7</spring-boot-admin.version>
        <spring-boot.mybatis>2.2.2</spring-boot.mybatis>
        <mybatis-plus.version>3.3.0</mybatis-plus.version>
        <kaptcha.version>2.3.2</kaptcha.version>
        <pagehelper.boot.version>1.4.1</pagehelper.boot.version>
        <druid.version>1.2.11</druid.version>
        <dynamic-ds.version>3.5.0</dynamic-ds.version>
        <commons.io.version>2.11.0</commons.io.version>
        <commons.fileupload.version>1.4</commons.fileupload.version>
        <velocity.version>2.3</velocity.version>
        <fastjson.version>2.0.8</fastjson.version>
        <jjwt.version>0.9.1</jjwt.version>
        <poi.version>4.1.2</poi.version>
        <commons-collections.version>3.2.2</commons-collections.version>
        <transmittable-thread-local.version>2.12.2</transmittable-thread-local.version>
        <lombok.version>1.18.22</lombok.version>
        <oracle.version>11.2.0.1.0</oracle.version>
        <aliyun-sdk-oss.version>3.13.0</aliyun-sdk-oss.version>
        <aliyun-sdk-sms.version>3.0.0</aliyun-sdk-sms.version>
        <hutool.version>5.7.22</hutool.version>
        <google.zxing.version>3.4.1</google.zxing.version>
        <commons-validator.version>1.7</commons-validator.version>
        <xxl-job.version>2.3.0</xxl-job.version>
        <huifu-new.version>3.0.19</huifu-new.version>
        <alipay.version>4.40.33.ALL</alipay.version>
    </properties>

    <!-- 依赖声明 -->
    <dependencyManagement>
        <dependencies>

            <!-- SpringCloud 微服务 -->
            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-dependencies</artifactId>
                <version>${spring-cloud.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <!-- SpringCloud Alibaba 微服务 -->
            <dependency>
                <groupId>com.alibaba.cloud</groupId>
                <artifactId>spring-cloud-alibaba-dependencies</artifactId>
                <version>${spring-cloud-alibaba.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <!-- Alibaba Nacos 配置 -->
            <dependency>
                <groupId>com.alibaba.nacos</groupId>
                <artifactId>nacos-client</artifactId>
                <version>${alibaba.nacos.version}</version>
            </dependency>

            <!-- Alibaba Seata 配置 -->
            <!--            <dependency>-->
            <!--                <groupId>io.seata</groupId>-->
            <!--                <artifactId>seata-spring-boot-starter</artifactId>-->
            <!--                <version>${alibaba.seata.version}</version>-->
            <!--            </dependency>-->

            <!-- SpringBoot 依赖配置 -->
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-dependencies</artifactId>
                <version>${spring-boot.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <!-- Mybatis 依赖配置 -->
            <dependency>
                <groupId>org.mybatis.spring.boot</groupId>
                <artifactId>mybatis-spring-boot-starter</artifactId>
                <version>${spring-boot.mybatis}</version>
            </dependency>

            <!-- mybatis plus -->
            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>mybatis-plus-boot-starter</artifactId>
                <version>${mybatis-plus.version}</version>
            </dependency>

            <!-- 验证码 -->
            <dependency>
                <groupId>com.github.penggle</groupId>
                <artifactId>kaptcha</artifactId>
                <version>${kaptcha.version}</version>
            </dependency>

            <!-- pagehelper 分页插件 -->
            <dependency>
                <groupId>com.github.pagehelper</groupId>
                <artifactId>pagehelper-spring-boot-starter</artifactId>
                <version>${pagehelper.boot.version}</version>
            </dependency>

            <!-- io常用工具类 -->
            <dependency>
                <groupId>commons-io</groupId>
                <artifactId>commons-io</artifactId>
                <version>${commons.io.version}</version>
            </dependency>

            <!-- excel工具 -->
            <dependency>
                <groupId>org.apache.poi</groupId>
                <artifactId>poi-ooxml</artifactId>
                <version>${poi.version}</version>
            </dependency>

            <!-- 文件上传工具类 -->
            <dependency>
                <groupId>commons-fileupload</groupId>
                <artifactId>commons-fileupload</artifactId>
                <version>${commons.fileupload.version}</version>
            </dependency>

            <!-- Collection 增强Java集合框架 -->
            <dependency>
                <groupId>commons-collections</groupId>
                <artifactId>commons-collections</artifactId>
                <version>${commons-collections.version}</version>
            </dependency>

            <!-- JSON 解析器和生成器 -->
            <dependency>
                <groupId>com.alibaba.fastjson2</groupId>
                <artifactId>fastjson2</artifactId>
                <version>${fastjson.version}</version>
            </dependency>

            <!-- JWT -->
            <dependency>
                <groupId>io.jsonwebtoken</groupId>
                <artifactId>jjwt</artifactId>
                <version>${jjwt.version}</version>
            </dependency>

            <!-- 线程传递值 -->
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>transmittable-thread-local</artifactId>
                <version>${transmittable-thread-local.version}</version>
            </dependency>

            <!-- 核心模块 -->
            <dependency>
                <groupId>com.bd</groupId>
                <artifactId>bd-common-core</artifactId>
                <version>${bd.version}</version>
            </dependency>

            <!-- 安全模块 -->
            <dependency>
                <groupId>com.bd</groupId>
                <artifactId>bd-common-security</artifactId>
                <version>${bd.version}</version>
            </dependency>

            <!-- 基础实体 -->
            <dependency>
                <groupId>com.bd</groupId>
                <artifactId>bd-common-domain</artifactId>
                <version>${bd.version}</version>
            </dependency>

            <!-- 会员服务接口 -->
            <dependency>
                <groupId>com.bd</groupId>
                <artifactId>bd-api-member</artifactId>
                <version>${bd.version}</version>
            </dependency>
            <!-- 报表服务接口 -->
            <dependency>
                <groupId>com.bd</groupId>
                <artifactId>bd-api-report</artifactId>
                <version>${bd.version}</version>
            </dependency>
            <!-- 销售服务接口 -->
            <dependency>
                <groupId>com.bd</groupId>
                <artifactId>bd-api-sale</artifactId>
                <version>${bd.version}</version>
            </dependency>
            <!-- 系统基础服务接口 -->
            <dependency>
                <groupId>com.bd</groupId>
                <artifactId>bd-api-system</artifactId>
                <version>${bd.version}</version>
            </dependency>
            <!-- 三方服务接口 -->
            <dependency>
                <groupId>com.bd</groupId>
                <artifactId>bd-api-third</artifactId>
                <version>${bd.version}</version>
            </dependency>
            <!-- 奖金服务接口 -->
            <dependency>
                <groupId>com.bd</groupId>
                <artifactId>bd-api-bonus</artifactId>
                <version>${bd.version}</version>
            </dependency>
            <!-- 进销存服务接口 -->
            <dependency>
                <groupId>com.bd</groupId>
                <artifactId>bd-api-scm</artifactId>
                <version>${bd.version}</version>
            </dependency>
            <!-- aop切面处理 -->
            <dependency>
                <groupId>com.bd</groupId>
                <artifactId>bd-common-aop</artifactId>
                <version>${bd.version}</version>
            </dependency>

            <!-- 业务服务公共 -->
            <dependency>
                <groupId>com.bd</groupId>
                <artifactId>bd-business-common</artifactId>
                <version>${bd.version}</version>
            </dependency>

            <!-- lombok -->
            <dependency>
                <groupId>org.projectlombok</groupId>
                <artifactId>lombok</artifactId>
                <version>${lombok.version}</version>
            </dependency>

            <!-- oracle -->
            <dependency>
                <groupId>com.oracle</groupId>
                <artifactId>ojdbc6</artifactId>
                <version>${oracle.version}</version>
            </dependency>

            <!-- 阿里oss -->
            <dependency>
                <groupId>com.aliyun.oss</groupId>
                <artifactId>aliyun-sdk-oss</artifactId>
                <version>${aliyun-sdk-oss.version}</version>
            </dependency>
            <dependency>
                <groupId>com.aliyun</groupId>
                <artifactId>dysmsapi20170525</artifactId>
                <version>${aliyun-sdk-sms.version}</version>
            </dependency>

            <!-- hutool工具包-->
            <dependency>
                <groupId>cn.hutool</groupId>
                <artifactId>hutool-all</artifactId>
                <version>${hutool.version}</version>
            </dependency>

            <!-- google 图形生成 -->
            <dependency>
                <groupId>com.google.zxing</groupId>
                <artifactId>core</artifactId>
                <version>${google.zxing.version}</version>
            </dependency>
            <dependency>
                <groupId>com.google.zxing</groupId>
                <artifactId>javase</artifactId>
                <version>${google.zxing.version}</version>
            </dependency>

            <!-- apache common 校验工具包-->
            <dependency>
                <groupId>commons-validator</groupId>
                <artifactId>commons-validator</artifactId>
                <version>${commons-validator.version}</version>
            </dependency>

            <!-- xxl-job -->
            <dependency>
                <groupId>com.xuxueli</groupId>
                <artifactId>xxl-job-core</artifactId>
                <version>${xxl-job.version}</version>
            </dependency>

            <!-- 汇付新SDK -->
            <dependency>
                <groupId>com.huifu.bspay.sdk</groupId>
                <artifactId>dg-java-sdk</artifactId>
                <version>${huifu-new.version}</version>
            </dependency>

<!--            &lt;!&ndash; 支付宝对接SDK &ndash;&gt;-->
<!--            <dependency>-->
<!--                <groupId>com.alipay.sdk</groupId>-->
<!--                <artifactId>alipay-sdk-java</artifactId>-->
<!--                <version>${alipay.version}</version>-->
<!--            </dependency>-->

        </dependencies>
    </dependencyManagement>

    <modules>
        <module>code-util</module>
        <module>bd-api</module>
        <module>bd-business</module>
        <module>bd-common</module>
        <module>bd-gateway</module>
        <module>bd-third</module>
    </modules>

    <dependencies>
        <!-- bootstrap 启动器 -->
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-bootstrap</artifactId>
        </dependency>
    </dependencies>

    <distributionManagement>
        <repository>
            <id>nexus-releases</id>
            <name>maven-releases</name>
            <url>http://47.94.148.201:8091/repository/maven-releases/</url>
        </repository>
        <snapshotRepository>
            <id>nexus-snapshots</id>
            <name>maven-snapshots</name>
            <url>http://47.94.148.201:8091/repository/maven-snapshots/</url>
        </snapshotRepository>
    </distributionManagement>

    <repositories>

        <repository>
            <id>maven-public</id>
            <name>maven-public</name>
            <url>http://47.94.148.201:8091/repository/maven-public/</url>
            <releases>
                <enabled>true</enabled>
            </releases>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </repository>

        <!--阿里云镜像仓库-->
        <repository>
            <id>public</id>
            <name>aliyun nexus</name>
            <url>https://maven.aliyun.com/repository/public</url>
            <releases>
                <enabled>true</enabled>
            </releases>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
        </repository>
    </repositories>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>${java.version}</source>
                    <target>${java.version}</target>
                    <encoding>${project.build.sourceEncoding}</encoding>
                </configuration>
            </plugin>
        </plugins>

        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <!-- 开启过滤，处理资源文件参数替换 -->
                <filtering>true</filtering>
            </resource>
            <resource>
                <directory>src/main/java</directory>
                <includes>
                    <include>**/*.xml</include>
                </includes>
            </resource>
        </resources>
    </build>


    <!-- 环境 -->
    <profiles>
        <!-- 测试 -->
        <profile>
            <id>dev</id>
            <activation>
                <!--默认激活配置-->
                <activeByDefault>true</activeByDefault>
            </activation>
            <properties>
                <spring.profiles.activity></spring.profiles.activity>
                <!--当前环境-->
                <profile.name>dev</profile.name>
                <!--Nacos服务地址-->
                <config.server-addr>127.0.0.1:8848</config.server-addr>
                <!--Nacos配置中心命名空间,用于支持多环境.这里必须使用ID，不能使用名称,默认为空-->
                <config.namespace>4d03b742-f273-4306-87c7-7dbd6000fd7c</config.namespace>
                <!--Nacos配置分组名称-->
                <config.group>DEFAULT_GROUP</config.group>
                <!--Nacos用户名-->
                <config.username>nacos</config.username>
                <!--Nacos密码-->
                <config.password>nacos</config.password>
            </properties>
        </profile>
        <!-- 测试 -->
        <profile>
            <id>test</id>
            <properties>
                <spring.profiles.activity>-test</spring.profiles.activity>
                <!--当前环境-->
                <profile.name>test</profile.name>
                <!--Nacos服务地址-->
                <config.server-addr>172.26.201.166:8848</config.server-addr>
                <!--Nacos配置中心命名空间,用于支持多环境.这里必须使用ID，不能使用名称,默认为空-->
                <config.namespace>487f6929-777e-44b7-a9f9-479c6d8050e4</config.namespace>
                <!--Nacos配置分组名称-->
                <config.group>DEFAULT_GROUP</config.group>
                <!--Nacos用户名-->
                <config.username>nacos</config.username>
                <!--Nacos密码-->
                <config.password>bd!Nacos@wsx</config.password>
            </properties>
        </profile>
        <!-- 生产 -->
        <profile>
            <id>online</id>
            <properties>
                <spring.profiles.activity>-online</spring.profiles.activity>
                <!--当前环境-->
                <profile.name>online</profile.name>
                <!--Nacos服务地址-->
                <config.server-addr></config.server-addr>
                <!--Nacos配置中心命名空间,用于支持多环境.这里必须使用ID，不能使用名称,默认为空-->
                <config.namespace></config.namespace>
                <!--Nacos配置分组名称-->
                <config.group>DEFAULT_GROUP</config.group>
                <!--Nacos用户名-->
                <config.username>nacos</config.username>
                <!--Nacos密码-->
                <config.password></config.password>
            </properties>
        </profile>
    </profiles>

</project>
